Subject: Re: [Netconf] Obsoleting Netconf over SOAP(RFC4743)/BEEP(RFC4744)

From: Tomoyuki Iijima <[email-masked]>
Date: Thu, 08 Dec 2011 17:10:23 +0900

Hi,

There seems to be some requests in the mailing list to keep NETCONF over 
SOAP/BEEP.

As far as there are expressions to implement NETCONF 1.1 over SOAP from 
implementers, and if no one volunteers to write a draft, I can volunteer 
to propose a draft for NETCONF 1.1 over SOAP.

I think the biggest issue of NETCONF 1.1 for underlying transport 
protocol is the introduction of NETCONF username. Now I'm implementing 
that mechanism for NETCONF 1.1 over WebSocket by using "cookie." I think 
same mechanism is used in the case of NETCONF 1.1 over SOAP. If this 
idea is okay, I can prepare a draft for discussion hopefully by the next 
meeting. Another idea is to incorporate this mechanism into SOAP header, 
but it will be more difficult.

Kind regards,

(2011/11/24 16:42), Ersue, Mehmet (NSN - DE/Munich) wrote:
>> 3 - There are multiple people in the WG who want to work
>>       on such a revision.
>> 4 - The existing implementations (if any) are also willing
>>       to implement such a revision
>
> This is fine. However, still the questions 3 and 4 need to be
> answered to update RFC 4743 fitting the NETCONF RFC 6241.
>
> Cheers,
> Mehmet
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of ext
>> Yoshifumi Atarashi
>> Sent: Thursday, November 24, 2011 1:38 AM
>> To: [email-masked]
>> Subject: Re: [Netconf] Obsoleting Netconf over
> SOAP(RFC4743)/BEEP(RFC4744)
>>
>> Hello,
>>
>> Alaxala have an implementation of NETCONF over SOAP.
>> It's supported on our products.
>> And I know HITACHI, NEC, Allied products use NETCONF over SOAP.
>>
>>    Yoshifumi Atarashi
>>
>>
>> (11/11/22 0:59), Phil Shafer wrote:
>>> "Bert Wijnen (IETF)" writes:
>>>> 1 - There are multiple implementations
>>>> 2 - There is real production deployment
>>>> 3 - There are multiple people in the WG who want to work
>>>>      on such a revision.
>>>> 4 - The existing implementations (if any) are also willing
>>>>      to implement such a revision
>>> We have an implementation of NETCONF over BEEP in JUNOS that is
>>> used in real deployments.  I'm mostly on hiatus from IETF work due
>>> to "day job" commitments and travel restrictions, so that's two out
>>> of four for me.
>>>
>>> Thanks,
>>>   Phil
>>> _______________________________________________
>>> Netconf mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/netconf
>>
>> _______________________________________________
>> Netconf mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netconf
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
> .
>

--
Tomoyuki Iijima